Summary:	Java Graphe software
Name:		edugraphe
Version:	1.1
Release:	%mkrel 3
URL:		http://joel.amblard.pagesperso-orange.fr/prg/edu/index.html
Source0:	%name-%version.zip
License:	GPL
BuildRequires:  java-devel
BuildRequires:  locales-fr
Requires:       java
Group:		Sciences/Physics 
Buildarch:      noarch

%description
Java Graphe software

%files
%defattr(-,root,root)
%_bindir/%name
%_javadir/edugraphe.jar
%{_datadir}/applications/%{name}.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
pushd source 
	LC_ALL=fr_FR sh compile.sh
popd

%install
rm -rf %buildroot
%__mkdir -p  %buildroot%_javadir
cp source/classes/edugraphe.jar %buildroot%_javadir/

%__mkdir -p %{buildroot}%_bindir

cat > %buildroot%_bindir/%name <<EOF
#!/bin/bash
java -jar %_javadir/%name.jar
EOF

# desktopfile
%__install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Edugraphe
GenericName=Java Graphe software
Comment=Java Graphe software
Exec=sh %_bindir/%name
Icon=
Terminal=false
Type=Application
Categories=Science;Electronics;
EOF
 
%clean  
rm -rf %buildroot



%changelog
* Fri May 13 2011 dmorgan <dmorgan> 1.1-3.mga1
+ Revision: 98001
- Fix desktop file
- Make it noarch
- Clean spec file
- Clean spec file
- Clean spec file
- Fix install
- Fix compile of the java code
- Fix compile of the java code
- imported package edugraphe

